/*
*********************************************************************************************************
*
*	模块名称 :  LED灯的IO初始化，以及蜂鸣器的初始化
*	文件名称 :  
*	版    本 :  V0.1
*	说    明 :	
			
               
*	修改记录 :  
*	
*
*********************************************************************************************************
*/


#include "led.h"


void LED_Init(void)
{
 
	GPIO_InitTypeDef  GPIO_InitStructure;

	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);	//使能PA端口时钟
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);	//使能PB端口时钟
	//LED0 --- PA8
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8;	//LED0-->PA.8 端口配置 
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		//推挽输出
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		//IO口速度为50MHz
	GPIO_Init(GPIOA, &GPIO_InitStructure);					//根据设定参数初始化GPIOA.8
	GPIO_SetBits(GPIOA,  GPIO_Pin_8);//

	//BEEP --- PB2
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_2;	
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		//推挽输出
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		//IO口速度为50MHz
	GPIO_Init(GPIOB, &GPIO_InitStructure);				
	GPIO_ResetBits(GPIOB, GPIO_Pin_2);// BEEP先不响
	 
}
 
